Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 155121 - Build requirement cmp (part of diffutils) not in spec file
Summary: Build requirement cmp (part of diffutils) not in spec file
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Dave Jones
QA Contact: Brian Brock
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-04-16 16:38 UTC by Albert Strasheim
Modified: 2015-01-04 22:18 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-09-04 23:24:27 UTC


Attachments (Terms of Use)

Description Albert Strasheim 2005-04-16 16:38:38 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv:1.7.6) Gecko/20050317 Firefox/1.0.2

Description of problem:
Various parts of the kernel build use cmp, which is part of diffutils.

core/rpms/kernel/devel/kernel-2.6.spec,1.1243 only lists the following build requirements:

BuildPreReq: module-init-tools, patch >= 2.5.4, bash >= 2.03, sh-utils, tar
BuildPreReq: bzip2, findutils, gzip, m4, perl, make >= 3.78, gnupg
BuildRequires: gcc >= 3.4.2, binutils >= 2.12, redhat-rpm-config

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Build kernel without diffutils installed.
  

Actual Results:  (This is from a 2.6.9 build, but I'm guessing the problem still exists)

/usr/src/redhat/BUILD/kernel-2.6.9/linux-2.6.9/scripts/mkcompile_h: line 72: cmp: command not found
  UPD     include/linux/compile.h
/bin/sh: cmp: command not found
Inconsistent kallsyms data
Try setting CONFIG_KALLSYMS_EXTRA_PASS
make: *** [vmlinux] Error 1
error: Bad exit status from /var/tmp/rpm-tmp.74 (%build)

Expected Results:  Kernel should build, provided we have diffutils installed. If not, rpm will return an error at the start of the build.

Additional info:

Comment 1 Dave Jones 2005-04-16 19:33:31 UTC
Fixed in CVS, will be in next build.

Thanks.


Note You need to log in before you can comment on or make changes to this bug.